Package org.drinkless.tdlib

# Class TdApi.MessageChatSetMessageAutoDeleteTime

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageChatSetMessageAutoDeleteTime

Enclosing class:
  `TdApi`

public static class TdApi.MessageChatSetMessageAutoDeleteTime extends TdApi.MessageContent
The auto-delete or self-destruct timer for messages in the chat has been changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `fromUserId`
  If not 0, a user identifier, which default setting was automatically applied.
  `int`
  `messageAutoDeleteTime`
  New value auto-delete or self-destruct time, in seconds; 0 if disabled.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageChatSetMessageAutoDeleteTime()`
  The auto-delete or self-destruct timer for messages in the chat has been changed.
  `MessageChatSetMessageAutoDeleteTime(int messageAutoDeleteTime, long fromUserId)`
  The auto-delete or self-destruct timer for messages in the chat has been changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageAutoDeleteTime

    public int messageAutoDeleteTime
    New value auto-delete or self-destruct time, in seconds; 0 if disabled.

  - ### fromUserId

    public long fromUserId
    If not 0, a user identifier, which default setting was automatically applied.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageChatSetMessageAutoDeleteTime

    public MessageChatSetMessageAutoDeleteTime()
    The auto-delete or self-destruct timer for messages in the chat has been changed.

  - ### MessageChatSetMessageAutoDeleteTime

    public MessageChatSetMessageAutoDeleteTime(int messageAutoDeleteTime, long fromUserId)
    The auto-delete or self-destruct timer for messages in the chat has been changed.
    Parameters:
      `messageAutoDeleteTime` - New value auto-delete or self-destruct time, in seconds; 0 if disabled.
      `fromUserId` - If not 0, a user identifier, which default setting was automatically applied.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR